aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/build.gradle
diff options
context:
space:
mode:
authorHarsh Shandilya <me@msfjarvis.dev>2020-03-09 19:00:14 +0530
committerHarsh Shandilya <me@msfjarvis.dev>2020-03-09 19:24:26 +0530
commitadc613d8011af7c508050badb1272e8326554c39 (patch)
tree4eadedc0767e1f4f482b7c22ec905329acab62a6 /build.gradle
parentToolsInstaller: restrict to only main app usage (diff)
downloadwireguard-android-adc613d8011af7c508050badb1272e8326554c39.tar.xz
wireguard-android-adc613d8011af7c508050badb1272e8326554c39.zip
Migrate tunnel related classes to tunnel/ Gradle module
Signed-off-by: Harsh Shandilya <me@msfjarvis.dev>
Diffstat (limited to 'build.gradle')
-rw-r--r--build.gradle26
1 files changed, 24 insertions, 2 deletions
diff --git a/build.gradle b/build.gradle
index 07abd269..01ab9af5 100644
--- a/build.gradle
+++ b/build.gradle
@@ -6,9 +6,31 @@ allprojects {
}
buildscript {
+ ext {
+ annotationsVersion = '1.1.0'
+ appcompatVersion = '1.1.0'
+ cardviewVersion = '1.0.0'
+ collectionVersion = '1.1.0'
+ coreKtxVersion = '1.2.0'
+ constraintLayoutVersion = '1.1.3'
+ coordinatorLayoutVersion = '1.1.0'
+ agpVersion = '3.6.1'
+ fragmentVersion = '1.2.2'
+ materialComponentsVersion = '1.1.0'
+ jsr305Version = '3.0.2'
+ kotlinVersion = '1.3.70'
+ preferenceVersion = '1.1.0'
+ streamsupportVersion = '1.7.1'
+ threetenabpVersion = '1.2.2'
+ // ZXING switched minSdk to 24 so we cannot upgrade to 4.0.2 without following suit.
+ // If you choose to upgrade to minSDK 24 then you should also disable Jetifier from
+ // gradle.properties.
+ zxingEmbeddedVersion = '3.6.0'
+ eddsaVersion = '0.3.0'
+ }
dependencies {
- classpath 'com.android.tools.build:gradle:3.6.1'
- classpath 'org.jetbrains.kotlin:kotlin-gradle-plugin:1.3.70'
+ classpath "com.android.tools.build:gradle:$agpVersion"
+ classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
}
repositories {
google()